# simpleSuspendableMapper

inline fun < T1 , T2 > simpleSuspendableMapper (noinline t1: suspend ( T2 ) -> T1 , noinline t2: suspend ( T1 ) -> T2 ): SimpleSuspendableMapperImpl < T1 , T2 >(source)

Creates a SimpleSuspendableMapper using the provided suspending conversion functions.

#### Return

A new SimpleSuspendableMapperImpl instance

#### Parameters

t1

Suspending function to convert from T2 to T1

t2

Suspending function to convert from T1 to T2

#### Type Parameters

T1

The first type

T2

The second type